<template>
	<section class="settings_main">
		<div class="p-3 w-100">
			<div class="settings_content_inr base_block">
				<div class="settings_panel p-3">
					<div class="settings_panel_ttl">
						<div class="txt">{{$store.state.locale.priority}}</div>
						<button type="button" class="login_main_sign_btn bt" data-toggle="modal" data-target="#modalInfo" @click="actionType = 1"
								v-if="can('settings_priority', 'Edit')">
							{{$store.state.locale.addPriorities}}
						</button>
					</div>

					<div class="settings_panel_cnt">
						<div class="table-responsive settings_content_tb">
							<table class="table table-striped table-hover">
								<thead>
								<tr>
									<th scope="col">Id</th>
									<th scope="col">{{$store.state.locale.priorityName}}</th>
									<th scope="col" class="w-40" v-if="can('settings_priority', 'Edit')"></th>
								</tr>
								</thead>

								<tbody>
								<tr v-for="item in modelList">
									<td>{{ item.id }}</td>
									<td>{{ item.name }}</td>
									<td v-if="can('settings_priority', 'Edit')">
										<div class="btn-group">
											<button type="button" class="icon-btn" @click="Read(item.id); actionType = 2">
												<i class="mdi mdi-pencil"></i>
											</button>
											<button type="button" class="icon-btn" @click="Read(item.id); actionType = 3">
												<i class="mdi mdi-delete text-danger"></i>
											</button>
										</div>
									</td>
								</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>


			<div class="modal fade base_modal" id="modalInfo">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<div class="base_modal_ttl">{{$store.state.locale.priority}}</div>
						</div>

						<div class="modal-body">
							<form v-on:submit.prevent="onSubmit">
								<div class="form-group">
									<label class="base_label">{{$store.state.locale.priorityName}}</label>
									<input type="text" class="form-control base_input" placeholder="Name" v-model="model.name" :disabled="actionType === 3" required>
								</div>

								<div>
									<button type="submit" class="login_main_sign_btn base_modal_btn" v-if="actionType === 1" @click="Create">{{$store.state.locale.add}}</button>
									<button type="submit" class="login_main_sign_btn base_modal_btn success" v-if="actionType === 2" @click="Update">{{$store.state.locale.update}}</button>
									<button type="submit" class="login_main_sign_btn base_modal_btn danger" v-if="actionType === 3" @click="Delete">{{$store.state.locale.delete}}</button>
								</div>
							</form>

						</div>


					</div>
				</div>
			</div>
		</div>
	</section>
</template>

<style></style>

<script src="./script.js"></script>